Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

java.lang.NoSuchFieldError: rock


pistonfish
 Share

Recommended Posts

I'm stuck with the same problem on my first mod..

 

From what I can deduce, it's because the 'standard' game is obfuscated (so the field 'Material.ground', of 'Marterial.rock' will have a different, meaningless name), but I'm not sure how to either re-obfuscate or point it at the correct class.  There must be a standard procedure somewhere..

 

Link to comment
Share on other sites

You haven't reobfuscated your mod properly. What Forge/Minecraft version are you using?

Don't PM me with questions. They will be ignored! Make a thread on the appropriate board for support.

 

1.12 -> 1.13 primer by williewillus.

 

1.7.10 and older versions of Minecraft are no longer supported due to it's age! Update to the latest version for support.

 

http://www.howoldisminecraft1710.today/

Link to comment
Share on other sites

Then you'll have to call the 'gradlew build' in the command line, so the mod actually properly reobfuscates.

Don't PM me with questions. They will be ignored! Make a thread on the appropriate board for support.

 

1.12 -> 1.13 primer by williewillus.

 

1.7.10 and older versions of Minecraft are no longer supported due to it's age! Update to the latest version for support.

 

http://www.howoldisminecraft1710.today/

Link to comment
Share on other sites

I am modding Minecraft 1.6.4 so I am using the reobfuscate.bat to reobfuscate it

 

Then either use .964 for MC 1.6.4 or use the latest build for MC 1.7.2.

They both come with ForgeGradle, which is the way of the future.

Don't ask for support per PM! They'll get ignored! | If a post helped you, click the "Thank You" button at the top right corner of said post! |

mah twitter

This thread makes me sad because people just post copy-paste-ready code when it's obvious that the OP has little to no programming experience. This is not how learning works.

Link to comment
Share on other sites

Run 'gradlew build' in the command windows.

Don't PM me with questions. They will be ignored! Make a thread on the appropriate board for support.

 

1.12 -> 1.13 primer by williewillus.

 

1.7.10 and older versions of Minecraft are no longer supported due to it's age! Update to the latest version for support.

 

http://www.howoldisminecraft1710.today/

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.